function q=sdposint(r,c,k,bordertype,circlerad)

% sdposinc IS THE EXPECTED SEED DENSITY 
% AT DISTANCE r FROM A FRONT GIVEN DISPERSAL PARAMETER c
% AND FECUNDITY PARAMETER k

if (bordertype==1)
    if (r>0)
        q1 = quad('sdposfunc',r,2*r,[],[],r,c);
        q2 = quad('sdposfunc',2*r,100000,[],[],r,c);
        q = k*(q1+q2);
    elseif (r<0)
        q1 = quad('sdposfunc',-r,-2*r,[],[],-r,c);
        q2 = quad('sdposfunc',-2*r,100000,[],[],-r,c);
        q = k*(1-q1-q2);
    else % if r=0
        q = k/2;
    end
elseif (bordertype==2)
    if (r>0)
        q = k* quad('sdposfunccircout',r,2*circlerad+r,[],[],r,c,circlerad);
    elseif (r<0)
        q1 = quad('sdposfuncsimp',0,2*circlerad+r,[],[],c);
        q2 = quad('sdposfunccircin',-r,2*circlerad+r,[],[],-r,c,circlerad);
        q = k*(q1-q2);
    else % if r=0
        q = k/2;
    end
elseif (bordertype==3)
    if (r>0)
        q1 = quad('sdposfuncsimp',2*circlerad-r,100000,[],[],c);
        q2 = quad('sdposfunccircin',r,2*circlerad-r,[],[],r,c,circlerad);
        q = k*(q1+q2);
    elseif (r<0)
        q1 = quad('sdposfunccircout',-r,2*circlerad-r,[],[],-r,c,circlerad);
        q = k*(1-q1);
    else % if r=0
        q = k/2;
    end
end
  
  
