function allresults=allruns()
runfit8('BothDownPERE_3.txt','BothDownPERE3_W2',1,0,-0.341386,-8.63398,24.2332,80,200,1,50,0)
runfit8('BothDownSCBA_3.txt','BothDownSCBA3_W2',1,0,0.336311,-2.36086,33.9254,80,200,1,50,1)
runfit8('BothUpPERE_1.txt','BothUpPERE1_W2',1,0,-0.466601,722042,6.79945,40,200,1,50,1)
runfit8('BothUpSCBA_2.txt','BothUpSCBA2_W2',1,0,0.490579,-8.50319,3.98752,90,200,1,50,1)
runfit8('OpenUpSCBA_4.txt','OpenUpSCBA4_W2',1,0,0.557086,-5.8175,6.49092,110,200,2,95,1)


    
% NOTES on the arguments to be passed: (note - not all are necessarily used, but all must be present)
% runfit(infilename,outfilestem,errortype,fitborder,initdisp,initfecund,initborder,initnbk,bordertype,circlerad,getcis)
% errortype: 0 = least square, 1=Poisson, 2=negative binomial
% fitborder: 0 = linear edge at 0, % 1 = linear edge fitted  (i.e., fit border)
% bordertype: 1=straight, 2=circular w/ plants inside, 3=circular w/plants outside;
% for bordertype, negative vals=plants in area w/ distance values less than border distance; positive vals = plants in area w/ distance values greater than border distance
% circlerad gives the radius of the circular area (in the same units as the distances to be read in)
% getcis: 0 = don't get confidence intervals,  1 = get confidence intervals
